EDIT - feature request #5634

Excluded note for excluded taxa /taxon nodes
03/11/2016 11:28 AM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.1

Severity: normal

Description

We may want to have a note why a taxon is excluded from a classification.

As this is classification dependent it needs to be added to TaxonNode. However, excluded information is currently still part of Taxon
and needs to be moved to TaxonNode first (there is a ticket for this already)

see also #3925

Related issues:

Related to EDIT - feature request #3925: Unplaced and excluded to TaxonNode Closed
Precedes EDIT - bug #6199: Excluded note for excluded taxon nodes in TaxEdtior Closed
Precedes EDIT - feature request #6204: Show excludedNote in dataportal New

Associated revisions

Revision 8e6¢53f9 - 10/18/2016 03:58 PM - Andreas Miiller

ref #5634 fix clone issue for excludedNote

Revision 1e55f5c2 - 10/18/2016 05:51 PM - Andreas Miiller
fix #5634 Update excluded/unplaced for TaxonNodes with no taxon_id

Revision 85b59453 - 11/15/2016 11:34 AM - Andreas Miiller
ref #5634 add getter and putter for excluded note

History

#1 - 05/02/2016 03:45 PM - Andreas Miiller
- Target version changed from CDM UML 4.0 to CDM UML 4.1

#2 - 07/08/2016 08:45 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#3 - 10/14/2016 04:20 PM - Andreas Kohlbecker
- Tags deleted (cdm)

- Description updated

#4 - 10/18/2016 02:12 PM - Andreas Miiller
- % Done changed from 0 to 40

#5 - 10/18/2016 05:45 PM - Andreas Miuller

- Status changed from In Progress to Resolved

#6 - 10/18/2016 06:36 PM - Andreas Miiller
- % Done changed from 40 to 50

Applied in changeset cdmlib|1e55{5c2544860c52ceal61e4edcftbef2eibbfa.
https://dev.e-taxonomy.eu/redmine/issues/3925
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/1e55f5c2544860c52cea161e4edcff5ef2e1bbfa

#7 - 10/21/2016 02:58 PM - Andreas Miiller
- Related to feature request #3925: Unplaced and excluded to TaxonNode added

#8 - 11/14/2016 03:57 PM - Andreas Miiller

- Precedes bug #6199: Excluded note for excluded taxon nodes in TaxEdtior added

#9 - 11/16/2016 10:47 AM - Andreas Miiller
- Precedes feature request #6204: Show excludedNote in dataportal added

#10 - 11/16/2016 10:47 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#11-11/21/2016 01:41 PM - Andreas Miiller

- Private changed from Yes to No
